## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           loupe
Version:        45~beta.1
Release:        %autorelease
Summary:        A simple image viewer for GNOME

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/GNOME/loupe
Source0:        https://download.gnome.org/sources/loupe/45/loupe-%{tarball_version}.tar.xz

BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  rust-packaging
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

Requires:       glycin-loaders

%description
A simple image viewer application written with GTK4 and Rust.


%prep
%autosetup -p1 -n loupe-%{tarball_version}

sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep


%generate_buildrequires
%cargo_generate_buildrequires


%build
%meson
%meson_build

%cargo_build


%install
%meson_install

%cargo_install

%find_lang loupe --with-gnome


%check
%meson_test

appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_metainfodir}/org.gnome.Loupe.metainfo.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Loupe.desktop


%files -f loupe.lang
%license COPYING.md
%doc NEWS README.md
%{_bindir}/loupe
%{_datadir}/applications/org.gnome.Loupe.desktop
%{_datadir}/dbus-1/services/org.gnome.Loupe.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Loupe*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Loupe-symbolic.svg
%{_metainfodir}/org.gnome.Loupe.metainfo.xml


%changelog
* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 45~beta.1-2
- Require glycin-loaders

* Sun Aug 20 2023 Kalev Lember <klember@redhat.com> - 45~beta.1-1
- Initial Fedora packaging
